Subject: LDP Dissector for Ethereal

From: Richard Sharpe <[email-masked]>
Date: Fri, 01 Dec 2000 23:00:44 +1000

Hi,

I have just done a preliminary LDP dissector for Ethereal.  It is available
in the CVS tree and should be in the next release of Ethereal.

I have been given a trace (of unknown provenance) that raises a question
about alignment of TLVs.

The draft I was working from (draft-ietf-mpls-ldp-11.txt) says that there
are no alignment for TLVs, but the trace I have clearly shows TLVs being
aligned on 4-byte boundaries.

I have added a hack that skips the padding so I can continue to decode TLVs
OK, but was wondering if there was any move towards allowing padding.

Regards
-------
Richard Sharpe, [email-masked]
Samba (Team member, www.samba.org), Ethereal (Team member, www.zing.org)
Contributing author, SAMS Teach Yourself Samba in 24 Hours
Author, Special Edition, Using Samba